Subject: Re: Menu Styles

From: Dominik Vogt <[email-masked]>
Date: Thu, 18 Feb 1999 22:08:01 +0100

In-Reply-To: <[email-masked]>; from Paul Smith on Thu, Feb 18, 1999 at 12:37:54PM -0500

On Thu, Feb 18, 1999 at 12:37:54PM -0500, Paul Smith wrote:
> %% Tim Phipps <[email-masked]> writes:
> 
>   tp> I think I found a minor bug with menu animation when menustyles
>   tp> change from one to another or it may be that if you don't specify
>   tp> much in a menustyle it gets something wrong.  My menustyle defns:
> 
>   tp> Emulate MWM
>   tp> MenuStyle * Foreground Black, BackGround LightGrey, Greyed Grey,
>   tp> ActiveFore Navy
>   tp> MenuStyle * Hilight3DThick, Animation On, MenuFace TiledPixmap
>   tp> PT_003.xpm
>   tp> MenuStyle * PopupOffset -2 100, TitleWarp, TitleUnderlines1,
>   tp> SeparatorsShort
>   tp> MenuStyle * MenuFace DGradient 128 3 Magenta 33 Yellow 34 Cyan 33
>   tp> Magenta
>   tp> MenuStyle StartStyle SidePic 100/side.fvwm2.xpm, SideColor Black
> 
> I was never able to have this kind of thing work either; I just assumed
> that menustyle's didn't cross over.  That is, the "*" menu style didn't
> serve as a prototype for the ones defined later.

That's correct, but not Tim's problem.

> If I redefined each MenuStyle completely, then added new items, it
> worked much better.  In other words, your StartStyle above is the basic
> style plus some sidepic stuff, not the "*" style plus some sidepic
> stuff.
> 
> Yes?  No?
> 
> I can't find anything in the man page that says "*" styles _should_ be
> propogated like this, so I assume they aren't.

No, they are not. I see that using '*' instead of 'default' was a very
unfortunate choice I made since everybody thinks the style is inherited
but other styles. I thought it would be less effort to type but it is
quite misleading.

Bye

Dominik

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].